v3.0

get

/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/lots/blinded-lots

Retrieves all blinded lots with release depot to depot settings.
To get a specific lot see Get blinded lot by ID.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : BlindedLotsResponse v3.0
Type: object
Title: BlindedLotsResponse v3.0
Response containing blinded lots.
Show Source
Nested Schema : blindedLotList
Type: array
Show Source
Nested Schema : Blinded Lots
Type: array
Title: Blinded Lots
List of blinded lots.
Show Source
Nested Schema : BlindedLots v3.0
Type: object
Title: BlindedLots v3.0
Contains blinded lot details.
Show Source
Nested Schema : Manufacturing Lot IDs
Type: array
Title: Manufacturing Lot IDs
List of manufacturing lot IDs.
Show Source
Nested Schema : settingsByCountry
Type: array
List of settings by country.
Show Source
Nested Schema : SettingsByCountry v2.0
Type: object
Title: SettingsByCountry v2.0
Contains settings by country.
Show Source
Examples

400 Response

v3.0 The study identifier does not match any study identifiers in Clinical One
Body ()
Root Schema : BlindedLotsResponse v3.0
Type: object
Title: BlindedLotsResponse v3.0
Response containing blinded lots.
Show Source
Nested Schema : blindedLotList
Type: array
Show Source
Nested Schema : Blinded Lots
Type: array
Title: Blinded Lots
List of blinded lots.
Show Source
Nested Schema : BlindedLots v3.0
Type: object
Title: BlindedLots v3.0
Contains blinded lot details.
Show Source
Nested Schema : Manufacturing Lot IDs
Type: array
Title: Manufacturing Lot IDs
List of manufacturing lot IDs.
Show Source
Nested Schema : settingsByCountry
Type: array
List of settings by country.
Show Source
Nested Schema : SettingsByCountry v2.0
Type: object
Title: SettingsByCountry v2.0
Contains settings by country.
Show Source
Examples

404 Response

Blinded lot not found
Body ()
Root Schema : BlindedLotsResponse v3.0
Type: object
Title: BlindedLotsResponse v3.0
Response containing blinded lots.
Show Source
Nested Schema : blindedLotList
Type: array
Show Source
Nested Schema : Blinded Lots
Type: array
Title: Blinded Lots
List of blinded lots.
Show Source
Nested Schema : BlindedLots v3.0
Type: object
Title: BlindedLots v3.0
Contains blinded lot details.
Show Source
Nested Schema : Manufacturing Lot IDs
Type: array
Title: Manufacturing Lot IDs
List of manufacturing lot IDs.
Show Source
Nested Schema : settingsByCountry
Type: array
List of settings by country.
Show Source
Nested Schema : SettingsByCountry v2.0
Type: object
Title: SettingsByCountry v2.0
Contains settings by country.
Show Source
Examples

Back to Top